\name{write.image}
\alias{read.image}
\alias{write.image}
\alias{imageio}
\title{Read/write various image formats}
\usage{
img <- read.image(filename,fformat=NULL,opts="",...)
write.image(img,filename,fformat=NULL,opts="",...)
}
\description{Reading and writing of various types of image file as
  pixmap objects, using netpbm to do the hard work}
\arguments{
  \item{filename}{Name of the image file.}
  \item{img}{Object of class \code{pixmap}}
  \item{opts}{Command-line options passed to the netpbm program used}
  \item{\ldots}{Extra arguments to be passed to  \code{\link{read.pnm}} or
  \code{\link{write.pnm}}} 
  \item{fformat}{Code for the file format to read or write. Valid
    values are \code{png}, \code{jpg}, \code{tiff}. On unix systems,
    \code{read.image} also accepts \code{fformat=auto}, this is used
    as the default.  The \code{fformat=auto} option does not work
    under MicroSoft Windows, so a default of "png" is used. 
  }
}
\details{
  \code{read.image} reads a large variety of image types, returning an
  object of class \code{\link{pixmap}}.

  \code{write.image} writes an object of class \code{\link{pixmap}} to
  a file in one of several common image file formats.

}
\note{
  Both \code{read.image} and \code{write.image} work by using
\code{\link{read.pnm}} or
  \code{\link{write.pnm}} to move the data between R and a temporary
  file. Programs in the netpbm package are used to convert from temporary
  file to the desired format or vice versa. You therefore need to have
  netpbm installed for either of these programs to work. For Windows, you
  can obtain this from \url{http://gnuwin32.sourceforge.net/}. With most
  unixes and Linux distributions you will find it packaged for your
  distribution. If not, you can get it at
  \url{http://netpbm.sourceforge.net/}. 
  The \code{\link{imageio}}
  package does not check for the presence of netpbm when installed. We
  hope to fix this in a subsequent release.
  

}
\keyword{file}
\author{Hugh C. Pumphrey \email{H.C.Pumphrey@ed.ac.uk}}
